diff make/make.sh @ 86:ca7e38053195

Updates and bug fixes, should work now. Options to make.sh are --nonet and --long. (Must occur in that order if you supply both.)
author Rob Landley <rob@landley.net>
date Wed, 07 Nov 2007 02:54:10 -0600
parents 13a980b307f8
children 41f999d7f077
line wrap: on
line diff
--- a/make/make.sh	Wed Nov 07 01:45:48 2007 -0600
+++ b/make/make.sh	Wed Nov 07 02:54:10 2007 -0600
@@ -12,6 +12,8 @@
 then
   echo "Update Linux source from mercurial on kernel.org"
   get_hg || exit 1
+else
+  shift
 fi
 
 echo "Install updated (and patched) Documentation directory."
@@ -25,12 +27,7 @@
   # I have a dual processor laptop, so overlap work here.  Have make htmldocs
   # produce split-up versions in the background (which is very slow)
   # while other work is done in the foreground.
-  make_htmldocs > /dev/null &
-
-  # This is also very slow.
-
-  # Search for references to RFC documents
-  "$WEBDIR"/make/do-rfc.sh &
+  make_htmldocs > /dev/null 2>/dev/null &
 fi
 
 echo "Update master index."
@@ -45,17 +42,21 @@
 echo Convert kconfig to html for all architectures
 htmlize_menuconfig || exit 1
 
-echo Build nochunks htmldocs.
-make_htmlnochunks || exit 1
+# Install the htmldocs
+if [ "$1" == "--long" ]
+then
+  echo Build nochunks htmldocs.
+  make_htmlnochunks || exit 1
 
-# Wait for background task(s) to finish.  If there aren't any, this continues
-# immediately.
-"$WEBDIR"/do-wait.sh
+  echo Search for references to RFC documents
+  findrfc || exit 1
 
-# Install the htmldocs
-install_htmldocs || exit 1
+  # Wait for background task(s) to finish.  If there aren't any, this continues
+  # immediately.
+  wait4background
 
-# Search for references to RFC documents
-"$WEBDIR"/make/do-rfc.sh > "$WEBDIR"/rfc-linux.html || exit 1
+  # Install the htmldocs
+  install_htmldocs || exit 1
+fi
 
 echo "Done with kdocs"